{% extends 'base.html.twig' %}

{% block title %}Portfolio{% endblock %}

{% block body %}
<style>
    body {margin: 0;padding: 0;}
    .title {margin: auto;text-align: center}
    .example-wrapper { margin: 1em auto; max-width: 12000pxpx; width: 95%; font: 18px/1.5 sans-serif;display: flex; justify-content: space-around; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    .nav {height: 120px;background-color: black;}
    .nav { display: flex; align-items: center;justify-content: space-around;}
    img { width: 10%; }
    a { margin-right: 10px;text-decoration: none;}
    ul { display: flex; }
    li { list-style-type: none;}
    .link-menu { text-decoration: none;margin-right: 12px;color: white; font-size: 18px;}
    .card {display: flex;flex-direction: column; max-width : 400px;background: #b5c99a;align-items: center;border-radius: 3px;}
    p { padding: 5px;}
    .card img {width:100%;}
    .card-footer {display: flex;align-items: space-around;}
</style>
<header>
    <div class="nav">
        <div class="logo">
            <img src="{{ 'images/adobe-portfolio.jpg' }}"/>
        </div>
        <div class="menu">
            <ul>
                <li><a class="link-menu" href="{{ '/' }}">Home</a></li>
                <li><a class="link-menu" href="{{ '/portfolio' }}">Portfolio</a></li>
            </ul>
        </div>
    </div>
</header>
<div class="title">
    <h1>Hello {{ controller_name }}! ✅</h1>
</div>
<div class="example-wrapper">
    {% for item in data %}
    <div class="container">
        <div class="card">
            <div class="card-header">
                <h3>{{ item.title }}</h3>
            </div>
            <div class="card-header-img"><img src="{{ item.imgUrl1}}"/></div>
            <div class="card-body">
                <p>{{ item.description }}</p>
            </div>
            <div class="card-footer">
                <p><a href="{{ item.urlRepo }}">Gitlab</a></p><p><a href="{{ item.urlSite }}">Site</a></p>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}